Loading...
 
Features / Usability

Features / Usability


User-created groups

posts: 30

Hello All,

I've just installed TikiWiki and am evaluating it.

I need some specific features, which I haven't been able to confirm here by searching through the forums.

I need the following, basically:

- Ability for registered users to create their own groups. each user may create multiple separate groups.
- Group owners should have pseudo admin access within their group.
- Be able to create content visible to all in the group, but not to other groups.
- Create content visible to only the group owner.
- Create content visible only to the group owner and named users (role-based will not work)
- Such content may or may not be editable by assigned users, at the group owner's discretion.
- Group forums, completely configurable by the group owner.
- Group Calendar, same as above.
- Group Home Page. I know this is possible, but with the above?

That's the core of what I need to be able to do.

If TikiWiki can't do this, can someone point me to a package that can?

Thanks in advance for any assistance.

Steel Rat

posts: 1550 Canada

This is what you want: Tiki Workspaces

You can use with Tiki 1.9 as a mods. It will be part of the main Tiki 1.10

posts: 30

> This is what you want: Tiki Workspaces
>
> You can use with Tiki 1.9 as a mods. It will be part of the main Tiki 1.10
>

Thanks for the reply.

I noticed Aulawiki in the mods but got an error when I tried to install it, and now can't get it to remove in order to try again. It's stuck in the install state. If I try to click Install again it tells me the tables already exist, but still shows as waiting to be installed. Doesn't show up as an assignable module.

Steel Rat


posts: 1811 Catalan Countries

Hi Steel Rat:

get help on http://edu.tikiwiki.org

Install latest version: 0.7 from http://www.escire.org/aulawiki/mods (1.2 from mods.tw.o is older)

You may need to delete by hand in you mysql tables (using phpmyadmin, for instance), all references to workspaces or aulawiki in you tiki, before installing a newer version, in case it doesn't work for you (0.7 is much better for updating).

Cheers, xavi